Tp::Client::ConnectionInterfaceClientTypesInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Tp::Client::ConnectionInterfaceClientTypesInterface Class Reference
Connection proxies

`#include <TelepathyQt/Connection>`

Inherits Tp::AbstractInterface.

## Public Slots
QDBusPendingReply < Tp::ContactClientTypes > | GetClientTypes (const Tp::UIntList &contacts, int timeout=-1)
QDBusPendingReply< QStringList > | RequestClientTypes (uint contact, int timeout=-1)

## Signals
void | ClientTypesUpdated (uint contact, const QStringList &clientTypes)
Signals inherited from Tp::AbstractInterface
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
| ConnectionInterfaceClientTypesInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceClientTypesInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
| ConnectionInterfaceClientTypesInterface (Tp::DBusProxy *proxy)
| ConnectionInterfaceClientTypesInterface (const Tp::Client::ConnectionInterface &mainInterface)
| ConnectionInterfaceClientTypesInterface (const Tp::Client::ConnectionInterface &mainInterface, QObject *parent)
Tp::PendingVariantMap * | requestAllProperties () const
Public Member Functions inherited from Tp::AbstractInterface
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Static Public Member Functions
static QLatin1String | staticInterfaceName ()

## Protected Member Functions
virtual void | invalidate (Tp::DBusProxy *, const QString &, const QString &)
Protected Member Functions inherited from Tp::AbstractInterface
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Additional Inherited Members
Protected Slots inherited from Tp::AbstractInterface

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Connection.Interface.ClientTypes".

## Constructor & Destructor Documentation

Tp::Client::ConnectionInterfaceClientTypesInterface::ConnectionInterfaceClientTypesInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceClientTypesInterface associated with the given object on the session bus.

Parameters

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceClientTypesInterface::ConnectionInterfaceClientTypesInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a ConnectionInterfaceClientTypesInterface associated with the given object on the given bus.

Parameters

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::ConnectionInterfaceClientTypesInterface::ConnectionInterfaceClientTypesInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a ConnectionInterfaceClientTypesInterface associated with the same object as the given proxy.

Parameters

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::ConnectionInterfaceClientTypesInterface::ConnectionInterfaceClientTypesInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface | ) |
| explicit

Creates a ConnectionInterfaceClientTypesInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters

  mainInterface | The proxy to use.

Tp::Client::ConnectionInterfaceClientTypesInterface::ConnectionInterfaceClientTypesInterface | ( | const Tp::Client::ConnectionInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a ConnectionInterfaceClientTypesInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::ConnectionInterfaceClientTypesInterface::staticInterfaceName | ( |  | ) |
| inlinestatic

Returns the name of the interface "org.freedesktop.Telepathy.Connection.Interface.ClientTypes", which this class represents.

Returns
  The D-Bus interface name.

Tp::PendingVariantMap* Tp::Client::ConnectionInterfaceClientTypesInterface::requestAllProperties | ( |  | ) | const
| inline

Request all of the DBus properties on the interface.

Returns
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply<Tp::ContactClientTypes> Tp::Client::ConnectionInterfaceClientTypesInterface::GetClientTypes | ( | const Tp::UIntList & | contacts,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `GetClientTypes` on the remote object.

Return the client types of the given contacts, if they are already known. If any of the given contacts' client types are not known, request their current client types, but return immediately without waiting for a reply; if a reply with a non-empty client type array is later received for those contacts, the ClientTypesUpdated signal will be emitted for them. This method is appropriate for "lazy" client type finding, for instance displaying the client types (if available) of everyone in your contact list.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  contacts |
      The contacts whose client types should be returned or signalled.
  timeout | The timeout in milliseconds.

Returns

      The contacts&apos; client types, if already known. Contacts whose
      client types are not already known are omitted from the mapping;
      contacts known to have no client type information appear in the
      mapping with an empty list.

QDBusPendingReply<QStringList> Tp::Client::ConnectionInterfaceClientTypesInterface::RequestClientTypes | ( | uint | contact,
|  | int | timeout = `-1`
| ) |  |
| inlineslot

Begins a call to the D-Bus method `RequestClientTypes` on the remote object.

Return the current client types of the given contact. If necessary, make a request to the server for up-to-date information, and wait for a reply. This method is appropriate for use in a "Contact Information..." dialog; it can be used to show progress information (while waiting for the method to return), and can distinguish between various error conditions.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters

  contact |
      The contact whose client types should be returned.
  timeout | The timeout in milliseconds.

Returns

      The contact&apos;s client types. It MAY be empty, indicating that
      no client type information was found.

void Tp::Client::ConnectionInterfaceClientTypesInterface::ClientTypesUpdated | ( | uint | contact,
|  | const QStringList & | clientTypes
| ) |  |
| signal

Represents the signal `ClientTypesUpdated` on the remote object.

Emitted when a contact's client types change or become known.

Parameters

  contact |
      The contact.
  clientTypes |
      The contact&apos;s client types, or an empty list to indicate that
      nothing is known about the contact&apos;s client types.

void Tp::Client::ConnectionInterfaceClientTypesInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtual

Reimplemented from Tp::AbstractInterface.